PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X DELETE "https://api.pinecone.io/admin/projects/$PINECONE_PROJECT_ID" \
-H "X-Pinecone-Api-Version: 2025-04" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN"
PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
# Target the organization that contains the project.
pc target -o "example-org"
# Delete the project. Use --skip-confirmation to skip
# the confirmation prompt.
pc project delete -i $PINECONE_PROJECT_ID
No response payload
[WARN] This will delete the project example-project in organization Pinecone Mesh.
[WARN] This action cannot be undone.
Do you want to continue? (y/N): y
[INFO] You chose to continue delete.
[SUCCESS] Project example-project deleted.
Projects
Delete a project
Delete a project and all its associated configuration. Before deleting a project, you must delete all indexes, assistants, backups, and collections associated with the project. Other project resources, such as API keys, are automatically deleted when the project is deleted.
DELETE
/
admin
/
projects
/
{project_id}
PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X DELETE "https://api.pinecone.io/admin/projects/$PINECONE_PROJECT_ID" \
-H "X-Pinecone-Api-Version: 2025-04" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN"
PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
# Target the organization that contains the project.
pc target -o "example-org"
# Delete the project. Use --skip-confirmation to skip
# the confirmation prompt.
pc project delete -i $PINECONE_PROJECT_ID
No response payload
[WARN] This will delete the project example-project in organization Pinecone Mesh.
[WARN] This action cannot be undone.
Do you want to continue? (y/N): y
[INFO] You chose to continue delete.
[SUCCESS] Project example-project deleted.
PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X DELETE "https://api.pinecone.io/admin/projects/$PINECONE_PROJECT_ID" \
-H "X-Pinecone-Api-Version: 2025-04" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN"
PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
# Target the organization that contains the project.
pc target -o "example-org"
# Delete the project. Use --skip-confirmation to skip
# the confirmation prompt.
pc project delete -i $PINECONE_PROJECT_ID
No response payload
[WARN] This will delete the project example-project in organization Pinecone Mesh.
[WARN] This action cannot be undone.
Do you want to continue? (y/N): y
[INFO] You chose to continue delete.
[SUCCESS] Project example-project deleted.
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Path Parameters
Project ID
Response
Project deletion request accepted.
Was this page helpful?
⌘I